Productsup
CDE APIApi referencePlatform

Assign the synced connector with a dev site

In order to perform this operation, the connector should have been created and the dev site must exist.

Sign in to run requests against the CDE API.
POST
/connectors/{publicId}/versions/{connectorVersion}/assign-to-sites/dev

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/assign-to-sites/dev"
{
  "message": "Connector assigned to dev site.",
  "resource": "connector-version",
  "data": {
    "name": "zulauf.com",
    "description": null,
    "readme": null,
    "version": "1.0.0",
    "logo": null,
    "created-at": "2026-05-11T14:12:05+02:00",
    "updated-at": "2026-05-11T14:12:05+02:00",
    "deleted-at": null,
    "state": "synchronized-to-dev",
    "config": {
      "update-progress": [],
      "secret-registrations": [],
      "authentication-registrations": [],
      "authentication-registrations-additional-fields": [],
      "application": {
        "command": "Keeling",
        "arguments": "assumenda eum error",
        "health-check": "--nulla"
      },
      "vcs": null,
      "docker": {
        "image-name": null,
        "image-tag": null,
        "registry-url": null
      },
      "individuals": [],
      "migration": null,
      "execution": {
        "execution-mode": "as-env-variables",
        "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
        "docker-host": null,
        "container-api": {
          "image": null,
          "version-constraint": "^9.9.9"
        }
      },
      "export": null,
      "data-service": null,
      "datasource": null,
      "buckets": [],
      "feature-flags": [],
      "container-api-config": null
    },
    "platform_dev_reference": {
      "account": 1,
      "project": 2,
      "executable": null,
      "platform-connector": 4,
      "site": 3,
      "site-processing-cluster": null,
      "assigned-to-site": null,
      "assigned-to-channel": null,
      "assigned-to-channel-site": null,
      "assigned-to-channel-site-destination": null,
      "runtime": {
        "environment": "cre",
        "version": null
      }
    },
    "platform_prod_reference": {
      "executable": null,
      "platform-connector": null,
      "target-accounts": [],
      "target-projects": [],
      "target-sites": [],
      "enabled-for-accounts": [],
      "enabled-for-projects": [],
      "enabled-for-sites": [],
      "assigned-to-sites": [],
      "released": false,
      "version": null,
      "runtime": {
        "environment": "cre",
        "version": null
      }
    },
    "prod_config": null,
    "dev_config": null
  }
}
{
  "message": "Bad request.",
  "errors": {
    "connector": "Connector must have dev site assigned."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Connector not found."
}

How is this guide?